The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of BIND: assertion error via Options

Synthesis of the vulnerability 

An attacker can force an assertion error via DNS Options of BIND, in order to trigger a denial of service.
Vulnerable products: Debian, AIX, BIND, Data ONTAP 7-Mode, RHEL, Ubuntu.
Severity of this weakness: 3/4.
Creation date: 21/10/2016.
Références of this bulletin: CVE-2016-2848, DLA-672-1, NTAP-20180926-0001, NTAP-20180926-0002, NTAP-20180926-0003, NTAP-20180926-0004, NTAP-20180926-0005, NTAP-20180927-0001, RHSA-2016:2093-01, RHSA-2016:2094-01, RHSA-2016:2099-01, USN-3108-1, VIGILANCE-VUL-20928.

Description of the vulnerability 

The BIND product implements a DNS service.

However, if the Options section is malformed, an assertion error occurs because developers did not except this case, which stops the process.

An attacker can therefore force an assertion error via DNS Options of BIND, in order to trigger a denial of service.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This weakness alert impacts software or systems such as Debian, AIX, BIND, Data ONTAP 7-Mode, RHEL, Ubuntu.

Our Vigil@nce team determined that the severity of this computer vulnerability note is important.

The trust level is of type confirmed by the editor, with an origin of internet client.

An attacker with a expert ability can exploit this security bulletin.

Solutions for this threat 

BIND: versions 9.8.5 and 9.9.3.
Versions 9.8.5 and 9.9.3 are fixed:
  http://www.isc.org/downloads

Debian 7: new bind9 packages.
New packages are available:
  Debian 7: bind9 1:9.8.4.dfsg.P1-6+nmu2+deb7u12

IBM AIX: patch for ISC Bind.
A patch is indicated in information sources for each supported version of AIX.

NetApp Data ONTAP Edge: end of life.
The end of life is indicated in information sources.

RHEL 5, 6: new bind packages.
New packages are available:
  RHEL 5: bind 9.3.6-25.P1.el5_11.10
  RHEL 6: bind 9.8.2-0.47.rc1.el6_8.2

RHEL 5: new bind97 packages.
New packages are available:
  RHEL 5: bind97 9.7.0-21.P2.el5_11.8

RHEL 6.7: new bind packages.
New packages are available:
  RHEL 6: bind 9.7.3-8.P3.el6_2.5, bind 9.8.2-0.17.rc1.el6_4.9, bind 9.8.2-0.23.rc1.el6_5.4, bind 9.8.2-0.30.rc1.el6_6.6, bind 9.8.2-0.37.rc1.el6_7.8

Ubuntu 12.04: new bind9 packages.
New packages are available:
  Ubuntu 12.04 LTS: bind9 1:9.8.1.dfsg.P1-4ubuntu0.18
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a software vulnerabilities bulletin. The Vigil@nce security watch publishes vulnerability bulletins about threats impacting the information system.